Create a Frontend
Create a new frontend on the given load balancer.
A frontend is the entry point for incoming traffic. It defines which ports to listen on, what protocol to use, and optional ACL rules to route traffic to different backends.
Authorization
bearer_auth OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
A unique identifier for a load balancer instance.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body for creating or updating a frontend.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X POST "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/frontends" \ -H "Content-Type: application/json" \ -d '{ "name": "https-frontend", "mode": "http", "binds": [ { "port": 443 } ] }'{ "name": "https-frontend", "mode": "http", "default_backend": "main-backend", "binds": [ { "port": 443, "ssl": true, "ssl_certificate": "my-cert", "use_http3": false } ], "acls": [ { "name": "is_api", "criterion": "path_beg", "value": "/api" } ], "backends": [ { "backend": "api-backend", "cond": "if", "test": "is_api" } ], "options": { "redirect_ssl": true, "forward_for": true }}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}